List explicitly-created (empty-capable) folders
GET
/folders/explicit
const url = 'https://api.engram.page/folders/explicit';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.engram.page/folders/explicit \ --header 'Authorization: Bearer <token>'Returns the names of folders that were created explicitly (via a folder marker) and can therefore exist while empty, as opposed to folders merely derived from note paths.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Folder names
Media typeapplication/json
FolderNamesResponse
object
folders
required
Array<object>
object
name
string
Examplegenerated
{ "folders": [ { "name": "example" } ]}